cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
New Member
New Member

eConceirge Supplies Assistant (Mac) - Java issues

I have a strange issue installing an updated version of the Xerox Supplies Assistant on OS X 10.4.4.  Even though I have the latest version of Java the Supplies Assistant installer says to install version 1.7.u75 or higher which is well under version 8 update 51; what I have installed now.  Does anyone know of any issues with the latest version and Java?  We haven't had issues up until this point.

 

Thanks!

0 Kudos
6 Replies
Highlighted
Valued Advisor
Valued Advisor

Re: eConceirge Supplies Assistant (Mac) - Java issues

I have not run across your particular issue, and have no access to an OS anywhere near as old as 10.4, but I would suggest installing the particular Java version it lists, since it is Java 7 and you have 8 it should just place it inside of 8 and will probably work fine, New versions of Java remove the older but not when done vice versa, so if you have 7, and install 8, 7 will get removed, but if you have 8 and install 7 it will be placed inside of 8. Her eis a screenshot of my PC running Win7, I don't have access to a Mac at the moment, but it works the same way in my experience.

 

Capture.GIF

 

If that does not work your best bet is to call Xerox for help, but I would very much try to reproduce the issue on 10.8 or higher since 10.4 is long past end of life.

Please be sure to select "Accept Solution" and or select the thumbs up icon to enter Kudos for posts that resolve your issues. Your feedback counts!

Joe Arseneau
0 Kudos
Highlighted
New Member
New Member

Re: eConceirge Supplies Assistant (Mac) - Java issues

Thanks for the reply.  I must say that my typo really changes things as I omitted a "10".  The version is 10.10.4 so it's current.  I already completely wiped away 8 and installed 7 but to no avail.  I suppose the next step is Xerox.  Thanks though.

0 Kudos
Highlighted
New Member
New Member

Re: eConceirge Supplies Assistant (Mac) - Java issues

I am having the same issue with Mac OS 10.10.5. I have the latest version of Java installed: 1.8u60, but when I try to install the Supplies Assistant I get the following error: Unsupported version of Java detected, Please install Java 1.7.u75 version or higher.

 

I have deleted my java temp files as well, but same thing.

 

Any help would be appreciated.

0 Kudos
Highlighted
New Member
New Member

Re: eConceirge Supplies Assistant (Mac) - Java issues

I am having the same problem, also on Mac OS X 10.10.5.  WOULD SOMEONE FROM XEROX PLEASE RESPOND!

0 Kudos
Highlighted
New Member
New Member

Re: eConceirge Supplies Assistant (Mac) - Java issues

So, I spoke with Xerox and it appears that the error message is poorly worded. You need Java 1.7.u75 exactly; not anyother version higher or not. 

 

I installed version Java 1.7.u75 and everything worked as expected.

Highlighted
New Member
New Member

Re: eConceirge Supplies Assistant (Mac) - Java issues

I had the same problem and reached a very good eConcierge technical support person in early December 2015. He sent the following instructions...

 

If you see that particular Java error message displayed while installing the Supplies Assistant:

 

  1. Go to the following URL: 
    http://www.oracle.com/technetwork/java/javase/downloads/jdk7-downloads-1880260.html
  2. Scroll down the page until you find the Java SE Development Kit 7u(XX)(7u75 or Higher) Note: (XX) =  the current version available that is either 75 or higher.
  3. Click the Accept License Agreement and download the Mac OS X x64 jdk-7u(XX)-macos-x64.dmg by clicking the little red arrow next to the file name or the file name link. The .dmg will download to your browser download bar.
  4. When the download is finished, click the .dmg Icon in your browser download bar and the JDK 7 update 7(X).pkg opens
  5. Double-click the .pkg Icon and follow the JDK installer to the success screen.
  6. Close the JDK installer and return to your Supplies Assistance installation
  7.  Install the Supplies Assistant to the success screen
  8. Continue as normal.

I followed the instructions and had a working SuppliesAssistant until the next day when I updated from Mac OS X El Capitan 10.11.1 to El Capitan 10.11.2 whereupon I began receiving the message that SuppliesAssistant could not be opened.

 

I normally log in as a normal user so I checked the permissions and found them set to:

system     - Read & Write
wheel       - Read & Write
everyone  - No Access

 

I changed the permissions for the SuppliesAssistant folder and its contents to:

system     - Read & Write

wheel       - Read & Write
everyone  -Read & Write

which, according to eConcierge technical support, are the proper settings.

 

Even after the change, I still received the message that SuppliesAssistant could not be opened. Restarting, reinstalling, and restarting did not fix the problem so I copied the entire SuppliesAssistant folder from Macintosh HD:Applications:SuppliesAssistant and pasted it into another folder named Xerox thinking I'd look at it again later when I had more time. Being nothing if not stubborn, I tried launching SuppliesAssistant one last time from inside Macintosh HD:Applications:Xerox:SuppliesAssistant:SuppliesAssistantClient

It worked! And it's worked ever since. Can't explain it., but I hope it keeps working.

 

0 Kudos